[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.FrameRect

Draws a border around a rectangle.

## Declaration

Source position: winapih.inc line 109

`public function TWidgetSet.FrameRect(`
`DC: HDC;`
`const ARect: TRect;`
`hBr: HBRUSH`
`):Integer; virtual;`

## Arguments

`ARect` |  | The rectangle to outline.
`hBr` |  | The brush for drawing the border.

## Function result

Zero on failure.

## Description

The boundary is one logical unit wide, painted using the given brush.